Skip to content
ASDF Projects Tutorials Community
Back to top
View this page

# ResourceMappingProxy

class asdf.resource.ResourceMappingProxy(delegate, package_name=None, package_version=None)

  Bases: `Mapping`

  Wrapper around a resource mapping that carries additional information on the package that provided the mapping.

  Attributes Summary

  `class_name` |
  `delegate` | Get the wrapped mapping instance.
  `package_name` | Get the name of the Python package that provided this mapping.
  `package_version` | Get the version of the Python package that provided the mapping.

  Methods Summary

  `maybe_wrap`(delegate) |

  Attributes Documentation

  class_name

    ” Get the fully qualified class name of the mapping.

    Returns:
      str
  delegate

    Get the wrapped mapping instance.

    Returns:
      collections.abc.Mapping
  package_name

    Get the name of the Python package that provided this mapping.

    Returns:
      str or None

        `None` if the mapping was added at runtime.

  package_version

    Get the version of the Python package that provided the mapping.

    Returns:
      str or None

        `None` if the mapping was added at runtime.

  Methods Documentation

  classmethod maybe_wrap(delegate)